/*
    File:       VolBounds.h

    Function:	

    Author:     Andrew Willmott

    Copyright:  (c) 1999, Andrew Willmott
*/

#ifndef __VolBounds__
#define __VolBounds__

#include "Geometry.h"


class VolBounds
{
public:
	VolBounds();
	
	Void                Clear();
	Void                AddPoint(const Point &p);
	Double              FindBound(const Vector &d);
	Double              FindMinBoundInPlane(const Vector &n, Vector &d);
	Void                MergeBounds(VolBounds &merge);
	Void                FindBoundingBox(VecTrans &axis, Point &min, Point &max);
	                    
	                    
	//                  Vecd min;
	Vecd                max;
	                    
	static PointList    tBoundsDir;
};

#endif